## org.apache.solr.client.solrj.impl
Class BinaryResponseParser

    java.lang.Object
      org.apache.solr.client.solrj.ResponseParser
          org.apache.solr.client.solrj.impl.BinaryResponseParser

    public class BinaryResponseParser

extends ResponseParser

Since:
  solr 1.3
Version:
  $Id: BinaryResponseParser.java 663693 2008-06-05 18:16:44Z ryan $

Constructor Summary
`BinaryResponseParser()`

Method Summary
`String` `getWriterType()`
`org.apache.solr.common.util.NamedList<Object>` `processResponse(InputStream body, String encoding)`
`org.apache.solr.common.util.NamedList<Object>` `processResponse(Reader reader)`

Methods inherited from class org.apache.solr.client.solrj.ResponseParser
`getVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryResponseParser

    public BinaryResponseParser()

Method Detail

### getWriterType

    public String getWriterType()

  Specified by:
    `getWriterType` in class `ResponseParser`

### processResponse

    public org.apache.solr.common.util.NamedList<Object> processResponse(InputStream body,
                                                                         String encoding)

  Specified by:
    `processResponse` in class `ResponseParser`

### processResponse

    public org.apache.solr.common.util.NamedList<Object> processResponse(Reader reader)

  Specified by:
    `processResponse` in class `ResponseParser`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.